For the complete documentation index, see llms.txt. This page is also available as Markdown.

Members

List DECT phone members

get

Retrieve a collection of DECT phone members.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

application/json
get/dect_phones/{id}/members
GET /api/dect_phones/{id}/members HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "NzAwNTUxOTA5NzczMTQ4MTYw",
      "extension_number": "text",
      "display_name": "text",
      "ipui": "text",
      "handset_index": "text"
    }
  ]
}

Update DECT phone member list

post

Update DECT phone member list.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Body
Responses
200

OK

No content

post/dect_phones/{id}/members
POST /api/dect_phones/{id}/members HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 76

{
  "items": [
    {
      "extension_number": "text",
      "ipui": "text",
      "handset_index": "text"
    }
  ]
}

No content

Check DECT phone member

get

Check if extension is in DECT phone member list.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
extension_numberstring · min: 3 · max: 64Required

The extension number.

Pattern: [0-9]{3,64}
Responses
200

OK

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
extension_numberstring · min: 3 · max: 64Optional

The extension number.

Pattern: [0-9]{3,64}
display_namestring · max: 1024Optional

The display name of user.

ipuistringOptional

The International Portable User Identity.

handset_indexstringOptional

The handset index.

get/dect_phones/{id}/members/{extension_number}
GET /api/dect_phones/{id}/members/{extension_number} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "NzAwNTUxOTA5NzczMTQ4MTYw",
  "extension_number": "text",
  "display_name": "text",
  "ipui": "text",
  "handset_index": "text"
}

Was this helpful?